org.bdgenomics.adam.sql

# Variant

#### class Variant extends Product

Linear Supertypes
Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Variant
2. Product
3. Equals
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Variant(contigName: Option[String], start: Option[Long], end: Option[Long], names: Seq[String], splitFromMultiAllelic: Option[Boolean], referenceAllele: Option[String], alternateAllele: Option[String], quality: Option[Double], filtersApplied: Option[Boolean], filtersPassed: Option[Boolean], filtersFailed: Seq[String], annotation: Option[VariantAnnotation])

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### val alternateAllele: Option[String]

7. #### val annotation: Option[VariantAnnotation]

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def canEqual(that: Any): Boolean

   Definition Classes
     Variant → Equals

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### val contigName: Option[String]

12. #### val end: Option[Long]

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### val filtersApplied: Option[Boolean]

16. #### val filtersFailed: Seq[String]

17. #### val filtersPassed: Option[Boolean]

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### val names: Seq[String]

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### def productArity: Int

    Definition Classes
      Variant → Product

27. #### def productElement(i: Int): Any

    Definition Classes
      Variant → Product

28. #### def productIterator: Iterator[Any]

    Definition Classes
      Product

29. #### def productPrefix: String

    Definition Classes
      Product

30. #### val quality: Option[Double]

31. #### val referenceAllele: Option[String]

32. #### val splitFromMultiAllelic: Option[Boolean]

33. #### val start: Option[Long]

34. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

35. #### def toAvro: formats.avro.Variant

36. #### def toString(): String

    Definition Classes
      AnyRef → Any

37. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped